I have been working in one application that don't have database and for
storage only use redis and I never tried before to run it in production
environment and o surprise the server is run but when try to load it
says ups something went wrong and in the log it says ActiveRecord no
conection stablish here is the error:

ActiveRecord::ConnectionNotEstablished
(ActiveRecord::ConnectionNotEstablished):
activerecord (3.2.8)
lib/active_record/connection_adapters/abstract/connection_pool.rb:404:in
`retrieve_connection'
activerecord (3.2.8)
lib/active_record/connection_adapters/abstract/connection_specification.rb:170:in
`retrieve_connection'
activerecord (3.2.8)
lib/active_record/connection_adapters/abstract/connection_specification.rb:144:in
`connection'
activerecord (3.2.8) lib/active_record/query_cache.rb:67:in `call'
activerecord (3.2.8)
lib/active_record/connection_adapters/abstract/connection_pool.rb:473:in
`call'
actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:28:in
`call'
activesupport (3.2.8) lib/active_support/callbacks.rb:405:in
`_run__1956948221__call__4__callbacks'
activesupport (3.2.8) lib/active_support/callbacks.rb:405:in `send'
activesupport (3.2.8) lib/active_support/callbacks.rb:405:in
`__run_callback'
activesupport (3.2.8) lib/active_support/callbacks.rb:385:in
`_run_call_callbacks'
activesupport (3.2.8) lib/active_support/callbacks.rb:81:in `send'
activesupport (3.2.8) lib/active_support/callbacks.rb:81:in
`run_callbacks'
actionpack (3.2.8) lib/action_dispatch/middleware/callbacks.rb:27:in
`call'
actionpack (3.2.8) lib/action_dispatch/middleware/remote_ip.rb:31:in
`call'
actionpack (3.2.8)
lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'
actionpack (3.2.8)
lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'
railties (3.2.8) lib/rails/rack/logger.rb:26:in `call_app'
railties (3.2.8) lib/rails/rack/logger.rb:16:in `call'
actionpack (3.2.8) lib/action_dispatch/middleware/request_id.rb:22:in
`call'
rack (1.4.1) lib/rack/methodoverride.rb:21:in `call'
rack (1.4.1) lib/rack/runtime.rb:17:in `call'
activesupport (3.2.8)
lib/active_support/cache/strategy/local_cache.rb:72:in `call'
rack (1.4.1) lib/rack/lock.rb:15:in `call'
rack-cache (1.2) lib/rack/cache/context.rb:136:in `forward'
rack-cache (1.2) lib/rack/cache/context.rb:245:in `fetch'
rack-cache (1.2) lib/rack/cache/context.rb:185:in `lookup'
rack-cache (1.2) lib/rack/cache/context.rb:66:in `call!'
rack-cache (1.2) lib/rack/cache/context.rb:51:in `call'
railties (3.2.8) lib/rails/engine.rb:479:in `call'
railties (3.2.8) lib/rails/application.rb:223:in `call'
rack (1.4.1) lib/rack/content_length.rb:14:in `call'
railties (3.2.8) lib/rails/rack/log_tailer.rb:17:in `call'
rack (1.4.1) lib/rack/handler/webrick.rb:59:in `service'
/usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'
/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'
/usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:162:in `start'
/usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'
/usr/lib/ruby/1.8/webrick/server.rb:95:in `start'
/usr/lib/ruby/1.8/webrick/server.rb:92:in `each'
/usr/lib/ruby/1.8/webrick/server.rb:92:in `start'
/usr/lib/ruby/1.8/webrick/server.rb:23:in `start'
/usr/lib/ruby/1.8/webrick/server.rb:82:in `start'
rack (1.4.1) lib/rack/handler/webrick.rb:13:in `run'
rack (1.4.1) lib/rack/server.rb:265:in `start'
railties (3.2.8) lib/rails/commands/server.rb:70:in `start'
railties (3.2.8) lib/rails/commands.rb:55
railties (3.2.8) lib/rails/commands.rb:50:in `tap'
railties (3.2.8) lib/rails/commands.rb:50
script/rails:6:in `require'
script/rails:6

but well none of my models uses activerecord what is happening here?

--
Posted via http://www.ruby-forum.com/.

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Arturo drlt at Oct 30, 2012 at 7:09 pm
    Issue solved with a little modification to application.rb changin
    require rails/all for

    require "action_controller/railtie"
    require "action_mailer/railtie"
    require "active_resource/railtie"
    require "rails/test_unit/railtie"
    require "sprockets/railtie"

    and removing the white_list

    and removing some lines from development.rb and

    --
    Posted via http://www.ruby-forum.com/.

    --
    You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
    To post to this group, send email to rubyonrails-talk@googlegroups.com.
    To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedOct 30, '12 at 6:13p
activeOct 30, '12 at 7:09p
posts2
users1
websiterubyonrails.org
irc#RubyOnRails

1 user in discussion

Arturo drlt: 2 posts

People

Translate

site design / logo © 2022 Grokbase